%{?filter_setup:
%filter_provides_in %{python_sitearch}.*\.so$
%filter_setup
}

Name:           python-elfdata
Version:        0.5
Release:        3%{?dist}
Summary:        Python wrapper to get ELF data

Group:          Development/Languages
License:        GPLv2
URL:            https://github.com/kushaldas/elfdata
Source0:        http://kushal.fedorapeople.org/packages/elfdata-%{version}.tar.gz

BuildRequires:  python2-devel, python-setuptools-devel, elfutils-devel, elfutils-libelf-devel

%description
Python wrapper to get ELF data.

%prep
%setup -q -n elfdata-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{python_sitearch}/elfdata*


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 20 2013 Kushal Das <kushal@fedoraproject.org> 0.5-2
- updated spec based on review

* Fri Dec 14 2012 Kushal Das <kushal@fedoraprojects.org> 0.5-1
- Updated BR and new release

* Sun Dec 09 2012 Kushal Das <kushal@fedoraproject.org> 0.4-1
- 0.4 release

* Sat Dec 08 2012 Kushal Das <kushal@fedoraproject.org> 0.3-1
- 0.3 release

* Fri Dec 07 2012 Kushal Das <kushal@fedoraproject.org> 0.2-1
- Initial release in Fedora

